## flower 0.8.3+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/flower.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/flower.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/flower"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/flower"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## flower 0.7.0+dfsg

=== debian/changelog ===
flower (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #753899)
  * Exclude pre-build docs/.build, *.pyc, *.swp, and .keep files from source.
  * Drop add-man-page.patch (accepted upstream).
  * Build depend on python-sphinxcontrib-httpdomain for documentation.
  * Add python-mock to build dependencies (needed for tests).
  * Disable not available sphinx extensions.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 08 Jul 2014 19:10:07 +0200

flower (0.6.0+dfsg-1) unstable; urgency=low

  * Initial version (Closes: #748273).

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 15 May 2014 17:35:12 +0200

=== debian/control ===
Source: flower
Maintainer: Benjamin Drung <benjamin.drung@profitbricks.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libjs-d3,
               libjs-jquery,
               libjs-jquery-ui,
               libjs-rickshaw,
               libjs-twitter-bootstrap,
               python-all (>= 2.6.6-3~),
               python-celery,
               python-mock,
               python-setuptools (>= 0.6b3),
               python-sphinx,
               python-sphinxcontrib-httpdomain,
               python-tornado,
               python3-all,
               python3-setuptools
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: https://github.com/mher/flower
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flower.git
Vcs-Git: git://anonscm.debian.org/collab-maint/flower.git

Package: python-flower
Architecture: all
Depends: libjs-d3,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-rickshaw,
         libjs-twitter-bootstrap,
         ${misc:Depends},
         ${python:Depends}
Description: web based tool for monitoring and administrating Celery clusters
 Flower is a web based tool for monitoring and administrating Celery clusters.
 It has these features:
  * Real-time monitoring using Celery Events
    * Task progress and history
    * Ability to show task details (arguments, start time, runtime, and more)
    * Graphs and statistics
  * Remote Control
    * View worker status and statistics
    * Shutdown and restart worker instances
    * Control worker pool size and autoscale settings
    * View and modify the queues a worker instance consumes from
    * View currently running tasks
    * View scheduled tasks (ETA/countdown)
    * View reserved and revoked tasks
    * Apply time and rate limits
    * Configuration viewer
    * Revoke or terminate tasks
  * Broker monitoring
    * View statistics for all Celery queues
    * Queue length graphs
  * HTTP API
  * Basic Auth and Google OpenID authentication

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flower
export PYBUILD_DISABLE_python3=1

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

override_dh_auto_build:
	dh_auto_build
	make -C docs man

override_dh_auto_install:
	dh_auto_install
	set -e; for python in $(shell pyversions -r); do \
		rm -r debian/python-flower/usr/lib/$$python/dist-packages/flower/static; \
		rm -r debian/python-flower/usr/lib/$$python/dist-packages/flower/templates; \
		ln -s /usr/share/flower/static debian/python-flower/usr/lib/$$python/dist-packages/flower/static; \
		ln -s /usr/share/flower/templates debian/python-flower/usr/lib/$$python/dist-packages/flower/templates; \
	done

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/f/flower/flower-(.+)(?:\.zip|\.tar\.(?:gz|bz2|xz))

## flower 0.8.3%2Bdfsg

=== debian/changelog ===
flower (0.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #793515)
  * Use pypi.debian.net redirector for debian/watch
  * Refresh all patches
  * Run package tests and cherry-pick patch for supporting newer mock versions

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 17 Dec 2015 19:54:13 +0100

flower (0.7.0+dfsg-2) unstable; urgency=medium

  * Use changelog date in man page to make the build reproducible.
    Thanks to Reiner Herrmann <reiner@reiner-h.de> (Closes: #782449)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 13 Apr 2015 11:33:47 +0200

## flower 0.8.3+dfsg

=== debian/changelog ===
flower (0.8.3+dfsg-3) unstable; urgency=medium

  * Use python-sphinxcontrib.httpdomain instead of the old transition
    package with dash (Closes: #881062). Thanks to Thomas Goirand.
  * Bump Standards-Version to 4.1.1 (no changes needed)
  * Use HTTPS for debian watch file
  * Use pkg-info.mk Makefile library to determine build timestamp.
  * Switch to Python 3 version of Sphinx

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 16 Nov 2017 10:39:34 +0100

flower (0.8.3+dfsg-2) unstable; urgency=medium

  * Use local objects.inv to avoid internet access (Closes: #862246)
  * Bump Standard-Version to 3.9.8 (no changes required)
  * Use https for Vcs-Git and Vcs-Browser URLs

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 22 May 2017 14:30:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,22 @@
                libjs-rickshaw,
                libjs-twitter-bootstrap,
                python-all (>= 2.6.6-3~),
+               python-babel,
                python-celery,
+               python-concurrent.futures,
                python-mock,
                python-setuptools (>= 0.6b3),
-               python-sphinx,
-               python-sphinxcontrib-httpdomain,
                python-tornado,
                python3-all,
-               python3-setuptools
+               python3-doc,
+               python3-setuptools,
+               python3-sphinx,
+               python3-sphinxcontrib.httpdomain
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
 Homepage: https://github.com/mher/flower
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flower.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/flower.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flower.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/flower.git
 
 Package: python-flower
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=flower
 export PYBUILD_DISABLE_python3=1
+
+BUILD_DATE = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild
@@ -12,7 +16,16 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C docs man
+	make -C docs man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+
+override_dh_auto_test:
+	ln -sf /usr/share/javascript/twitter-bootstrap flower/static/bootstrap
+	ln -sf /usr/share/javascript/d3 flower/static/d3
+	ln -sf /usr/share/javascript/jquery flower/static/jquery
+	ln -sf /usr/share/javascript/jquery-ui flower/static/jquery-ui
+	ln -sf /usr/share/javascript/rickshaw flower/static/rickshaw
+	dh_auto_test
+	rm -f flower/static/bootstrap flower/static/d3 flower/static/jquery flower/static/jquery-ui flower/static/rickshaw
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://pypi.debian.net/flower/flower-(.*)\.tar\.(?:gz|bz2|xz)

## flower 1.0

=== DESCRIPTION ===
Package: flower
Type: Package
Title: Tools for characterizing flowering traits
Version: 1.0
Date: 2015-01-23
Author: Xie WANG
Maintainer: Xie WANG <wangxiechangde@hotmail.com>
Description: Flowering is an important life history trait of flowering plants. It has been mainly analyzed with respect to flowering onset and duration of flowering. This tools provide some functions to compute the temporal distribution of an flowering individual related to other population members. fCV() measures the temporal variation in flowering. RIind() measures the rank order of flowering for individual plants within a population. SI(), SI2(), SI3(), and SI4() calculate flowering synchrony with different methods.
License: GPL (>= 1.0)
Packaged: 2015-01-28 01:47:26 UTC; Wangxie
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-01-28 12:18:13
